<template>
  <div>
    <b-carousel
        id="carousel-no-animation"
        style="text-shadow: 0px 0px 2px #000"
        no-animation
        indicators
        img-width="400"
        img-height="300"
    >
      <!-- Slides with image only -->
      <b-carousel-slide v-for="imagen in items" :key="imagen.id"
                :img-src="base_url +'/storage/images/'+ imagen.name"
                img-width="400"
                img-height="300">
      </b-carousel-slide>

    </b-carousel>

  </div>
</template>

<script>
  export default {
    props:{
        items: {type: Array, required: true},
    },
    data() {
      return {
        slide: 0,
        sliding: null,
        base_url: window.location.origin,
      }
    },
    methods: {
      onSlideStart(slide) {
        this.sliding = true
      },
      onSlideEnd(slide) {
        this.sliding = false
      }
    }
  }
</script>

